---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "20"
  version: 9030020231007095707
  context: 8cf767d6
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 67ce51be9370c0417d3347cf6119167475fbe4c1
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 17db47eac159459088b18735505ed310d56673f0
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 5fa236438e845b496d5e506d673fc4fc3424bc31
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:20.5.1-1.module_el9.3.0+41+cc857d4c.src
    - nodejs-1:20.5.1-1.module_el9.3.0+41+cc857d4c.x86_64
    - nodejs-debuginfo-1:20.5.1-1.module_el9.3.0+41+cc857d4c.x86_64
    - nodejs-debugsource-1:20.5.1-1.module_el9.3.0+41+cc857d4c.x86_64
    - nodejs-devel-1:20.5.1-1.module_el9.3.0+41+cc857d4c.x86_64
    - nodejs-docs-1:20.5.1-1.module_el9.3.0+41+cc857d4c.noarch
    - nodejs-full-i18n-1:20.5.1-1.module_el9.3.0+41+cc857d4c.x86_64
    - nodejs-nodemon-0:2.0.20-2.module_el9.3.0+41+cc857d4c.noarch
    - nodejs-nodemon-0:2.0.20-2.module_el9.3.0+41+cc857d4c.src
    - nodejs-packaging-0:2021.06-4.module_el9.3.0+41+cc857d4c.noarch
    - nodejs-packaging-0:2021.06-4.module_el9.3.0+41+cc857d4c.src
    - nodejs-packaging-bundler-0:2021.06-4.module_el9.3.0+41+cc857d4c.noarch
    - npm-1:9.8.0-1.20.5.1.1.module_el9.3.0+41+cc857d4c.x86_64
...
---
document: modulemd
version: 2
data:
  name: nodejs-devel
  stream: "20"
  version: 9030020231007095707
  context: 8cf767d6
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      nodejs: [20]
      platform: [el9]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1

        %_with_python3_fixup 0
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 67ce51be9370c0417d3347cf6119167475fbe4c1
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 17db47eac159459088b18735505ed310d56673f0
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: 5fa236438e845b496d5e506d673fc4fc3424bc31
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
